---
title: GET /assets
slug: content-marketing-platform/api/get-assets
createdAt: 2026-10-01T18:51:26.265Z
---

{
  "id": "--ZrgnrbHArfxTbNx7BC8",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.cmp.optimizely.com/v3/assets",
    "servers": [
      {
        "url": "https://api.cmp.optimizely.com/v3/assets",
        "description": "v3 version of Optimizely CMP Open API"
      }
    ],
    "name": "GET /assets",
    "description": "<p>Get the list of assets. Assets are sorted by <code>modified_at</code> in descending order.\nTo get assets that are not inside any folder, pass <code>include_subfolder_assets=false</code> in the query param.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "type",
          "type": "array",
          "example": "[\"image\"]",
          "examples": [
            {
              "label": "Filter by a single type",
              "value": "[\"image\"]"
            },
            {
              "label": "Filter by multiple types",
              "value": "[\"article\",\"image\",\"video\"]"
            }
          ],
          "description": "<p>Asset type to filter by. Example: <code>type=image&#x26;type=video</code></p>",
          "default": [
            "article",
            "image",
            "video",
            "raw_file",
            "structured_content",
            "compose_content"
          ],
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "label",
          "type": "array",
          "example": "[\"{\\\"group\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}\"]",
          "examples": [
            {
              "label": "Filter by a single label",
              "value": "[\"{\\\"group\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}\"]"
            },
            {
              "label": "Filter by multiple labels",
              "value": "[\"{\\\"group\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}\",\"{\\\"group\\\": \\\"126123b543912bb5cc12d17b817d9312\\\", \\\"values\\\": [\\\"aa63e3ee43925bb5cc8cd17b817d93aa\\\", \\\"df697bd824a944bf7d4fb6e350d9c5bd\\\"]}\"]"
            }
          ],
          "description": "<p>Label to filter by. <strong>Must be passed as urlencoded string</strong>. Labels that do not exist are ignored. If none of the provided labels exist, filtering is not applied. Example – <code>label=%7B%22group%22%3A%22ee63e3ee43925bb5cc8cd17b817d93ee%22%2C%22values%22%3A%5B%226706efc7828cd6aaedbc0434139cd3e1%22%2C%221f32651216cf2aefcaa08be1ea7dedf1%22%5D%7D</code></p>",
          "schema": [
            {
              "name": "group",
              "kind": "required",
              "type": "string",
              "description": "Identifier of the label group",
              "example": "2467e583a60e23fda2b89db81a453cd2"
            },
            {
              "name": "values",
              "kind": "required",
              "type": "array",
              "description": "List of identifiers of the label values",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "71c378f3fee3d822759d1bdc2aab628c",
              "itemDefault": ""
            }
          ],
          "itemType": "object",
          "customType": "object[]"
        },
        {
          "kind": "optional",
          "name": "fields",
          "type": "array",
          "example": "[\"[{\\\"id\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}]\"]",
          "examples": [
            {
              "label": "Filter by a single field",
              "value": "[\"[{\\\"id\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}]\"]"
            },
            {
              "label": "Filter by multiple fields",
              "value": "[\"[{\\\"id\\\": \\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\", \\\"values\\\": [\\\"6706efc7828cd6aaedbc0434139cd3e1\\\", \\\"1f32651216cf2aefcaa08be1ea7dedf1\\\"]}, {\\\"id\\\": \\\"126123b543912bb5cc12d17b817d9312\\\", \\\"values\\\": [\\\"aa63e3ee43925bb5cc8cd17b817d93aa\\\", \\\"df697bd824a944bf7d4fb6e350d9c5bd\\\"]}]\"]"
            }
          ],
          "description": "<p>List of fields to filter by. <strong>Must be passed as base64 encoded string</strong>. Fields that do not exist are ignored. If none of the provided fields exist, filtering is not applied. Example – <code>fields=Wwp7CiJpZCI6ICI2N2E4NDZhMWM3NzU1YTFwNThpNjh5MzVhIiwKInZhbHVlcyI6IFsiNjdhODQ2YTFjNzc1YWU1YWExYTE0YTA1Il0KfQpd=</code></p>",
          "schema": [
            {
              "name": "id",
              "kind": "required",
              "type": "string",
              "description": "Identifier of the field",
              "example": "2467e583a60e23fda2b89db81a453cd2"
            },
            {
              "name": "values",
              "kind": "required",
              "type": "array",
              "description": "List of identifiers of the field values",
              "example": "",
              "itemType": "string",
              "customType": "string[]",
              "itemExample": "71c378f3fee3d822759d1bdc2aab628c",
              "itemDefault": ""
            }
          ],
          "itemType": "object",
          "customType": "object[]"
        },
        {
          "kind": "optional",
          "name": "created_at__from",
          "type": "string<date-time>",
          "example": "2018-11-30T13:32:44Z",
          "description": "<p>Date and time as the lower limit to filter assets by <code>created_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "created_at__to",
          "type": "string<date-time>",
          "example": "2018-11-30T13:32:44Z",
          "description": "<p>Date and time as the upper limit to filter assets by <code>created_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "modified_at__from",
          "type": "string<date-time>",
          "example": "2018-11-30T13:32:44Z",
          "description": "<p>Date and time as the lower limit to filter assets by <code>modified_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "modified_at__to",
          "type": "string<date-time>",
          "example": "2018-11-30T13:32:44Z",
          "description": "<p>Date and time as the upper limit to filter assets by <code>modified_at</code>, in ISO 8601 UTC format</p>",
          "format": "date-time"
        },
        {
          "kind": "optional",
          "name": "folder_id",
          "type": "string",
          "example": "6bb8db20a5b611ebae319b7c541b1a7f",
          "description": "ID of the library folder to include assets from"
        },
        {
          "kind": "optional",
          "name": "include_subfolder_assets",
          "type": "boolean",
          "example": "false",
          "description": "Indicates whether assets from subfolders need to be included",
          "default": true
        },
        {
          "kind": "optional",
          "name": "search_text",
          "type": "string",
          "example": "Cute Cat",
          "description": "Search assets by title or content description"
        },
        {
          "kind": "optional",
          "name": "campaign_id",
          "type": "string",
          "example": "673218bee23887779e9e9a6f",
          "description": "ID of the campaign to include assets from"
        },
        {
          "kind": "optional",
          "name": "offset",
          "type": "integer",
          "example": 5,
          "description": "<p>Starting index of results (zero indexed)</p>",
          "default": 0,
          "minimum": 0
        },
        {
          "kind": "optional",
          "name": "page_size",
          "type": "integer",
          "example": 15,
          "description": "Number of results to return per page",
          "default": 10,
          "minimum": 1,
          "maximum": 100
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "OAuth2",
          "name": "OAuth2",
          "kind": "optional",
          "type": "oauth2",
          "oauth2Flows": {
            "clientCredentials": {
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {}
            },
            "authorizationCode": {
              "authorizationUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/auth",
              "tokenUrl": "https://accounts.cmp.optimizely.com/o/oauth2/v1/token",
              "scopes": {
                "openid": "Grants the ability to receive a unique identifier for the user.",
                "profile": "Grants access to user profile information.",
                "offline_access": "Grants the ability to refresh access_token using the refresh token even when user is not present (not logged in)."
              }
            }
          },
          "requiredScopes": [
            "openid",
            "profile",
            "offline_access"
          ]
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "List of fetched assets",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "schema": [
              {
                "name": "data",
                "kind": "required",
                "type": "array",
                "description": "List of assets",
                "modelRef": "#/components/schemas/AssetResponse",
                "customType": "AssetResponse[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": "Unique identifier for the asset",
                    "example": "5d7f910551b00a722e0418830cee6631"
                  },
                  {
                    "name": "title",
                    "kind": "required",
                    "type": "string",
                    "description": "Title of the asset",
                    "example": "sample_image.png"
                  },
                  {
                    "name": "type",
                    "kind": "required",
                    "type": "string<article | image | video | raw_file | structured_content | compose_content>",
                    "description": "Type of the asset",
                    "example": "image",
                    "enum": [
                      "article",
                      "image",
                      "video",
                      "raw_file",
                      "structured_content",
                      "compose_content"
                    ]
                  },
                  {
                    "name": "mime_type",
                    "kind": "required",
                    "type": "string",
                    "description": "MIME type of the asset",
                    "example": "image/png"
                  },
                  {
                    "name": "file_extension",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "File extension of the asset",
                    "example": "png"
                  },
                  {
                    "name": "created_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time on which the asset was created, in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>)<p></p>",
                    "example": "2019-10-06T13:15:30Z",
                    "format": "date-time"
                  },
                  {
                    "name": "modified_at",
                    "kind": "required",
                    "type": "string<date-time>",
                    "description": "<p>Date and time of the most recent modification of the asset, in ISO 8601 UTC format (2020-02-10T10:40</p><div></div>)<p></p>",
                    "example": "2019-10-07T13:15:30Z",
                    "format": "date-time"
                  },
                  {
                    "name": "folder_id",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "ID of the folder containing the asset in the library",
                    "example": "6bb8db20a5b611ebae319b7c541b1a5a"
                  },
                  {
                    "name": "file_location",
                    "kind": "required",
                    "type": "string",
                    "description": "Location of the folder containing the asset in the library",
                    "example": "/all assets/important assets"
                  },
                  {
                    "name": "is_archived",
                    "kind": "required",
                    "type": "boolean",
                    "description": "Whether the asset is archived or not",
                    "example": false
                  },
                  {
                    "name": "content",
                    "kind": "required",
                    "type": "object",
                    "description": "Content of the asset",
                    "modelRef": "#/components/schemas/AssetContent",
                    "customType": "AssetContent",
                    "schema": [
                      {
                        "name": "type",
                        "kind": "required",
                        "type": "string<url | api_url | html_body>",
                        "description": "<p>Type of the content.</p>\n<ul>\n<li>article  – <code>html_body</code></li>\n<li>image, raw_file, video  – <code>url</code></li>\n<li>structured_content  – <code>api_url</code></li>\n<li>compose_content  – <code>api_url</code></li>\n</ul>",
                        "example": "url",
                        "enum": [
                          "url",
                          "api_url",
                          "html_body"
                        ]
                      },
                      {
                        "name": "value",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>Content of the asset.  - article – the html body - image, raw_file, video – the download URL - structured_content – api url - compose_content – api url</p>",
                        "example": "http://images.cmp.optimizely.com/Zz0xODQ3NDU3Y2Y2YmYzOTlmNjkyOTgyZDY3Y2I3YWM2OA==S"
                      }
                    ]
                  },
                  {
                    "name": "labels",
                    "kind": "required",
                    "type": "array",
                    "description": "Labels associated with the asset",
                    "modelRef": "#/components/schemas/ResourceLabelResponse",
                    "customType": "ResourceLabelResponse[]",
                    "schema": [
                      {
                        "name": "group",
                        "kind": "required",
                        "type": "object",
                        "description": "Label group",
                        "example": "",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "Identifier of the label group",
                            "example": "2467e583a60e23fda2b89db81a453cd2"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the label group",
                            "example": "Content Format"
                          }
                        ]
                      },
                      {
                        "name": "values",
                        "kind": "required",
                        "type": "array",
                        "description": "List of values of the label",
                        "example": "",
                        "itemType": "object",
                        "customType": "object[]",
                        "schema": [
                          {
                            "name": "id",
                            "kind": "required",
                            "type": "string",
                            "description": "Identifier of the label value",
                            "example": "71c378f3fee3d822759d1bdc2aab628c"
                          },
                          {
                            "name": "name",
                            "kind": "required",
                            "type": "string",
                            "description": "Name of the label value",
                            "example": "Photos"
                          }
                        ]
                      }
                    ]
                  },
                  {
                    "name": "links",
                    "kind": "required",
                    "type": "object",
                    "description": "Meta links",
                    "example": "",
                    "schema": [
                      {
                        "name": "self",
                        "kind": "required",
                        "type": "string",
                        "description": "<p>URL of the asset (only GET is supported)</p>",
                        "example": "https://api.cmp.optimizely.com/v3/images/5d7f910551bw0a722e0418830cee6631"
                      }
                    ]
                  },
                  {
                    "name": "owner_organization_id",
                    "kind": "required",
                    "type": "string",
                    "nullable": false,
                    "description": "ID of the asset's owner organization",
                    "example": "5108c3a9becac35915111191"
                  },
                  {
                    "name": "thumbnail_url",
                    "kind": "required",
                    "type": "string",
                    "nullable": true,
                    "description": "URL of the asset's thumbnail",
                    "example": "https://images1.cmp.optimizely.com/Pz1kYmI9Z2FkYTJtZWI5VGI1WZq4MTZkNTdmGHjM5OGRmYq=="
                  }
                ]
              },
              {
                "name": "pagination",
                "kind": "required",
                "type": "object",
                "description": "",
                "complexType": "allOf",
                "complexItems": [
                  {
                    "name": "Pagination",
                    "description": "",
                    "modelRef": "#/components/schemas/Pagination",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the next page",
                        "example": "https://api.cmp.optimizely.com/<some-path-to-next-page>?offset=10&page_size=10"
                      },
                      {
                        "name": "previous",
                        "kind": "required",
                        "type": "string",
                        "nullable": true,
                        "description": "URL to the previous page",
                        "example": ""
                      }
                    ]
                  },
                  {
                    "name": "object",
                    "description": "",
                    "schema": [
                      {
                        "name": "next",
                        "kind": "optional",
                        "type": "string",
                        "nullable": true,
                        "description": "",
                        "example": "https://api.cmp.optimizely.com/v3/assets?offset=10&page_size=10"
                      }
                    ]
                  }
                ],
                "schema": []
              },
              {
                "name": "total_count",
                "kind": "required",
                "type": "number",
                "description": "Total number of assets found based on the request"
              }
            ],
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "Client error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unsupported arguments: a,b,c\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Authorization error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"Unauthorized\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "Permission error",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "example": "{\"message\":\"You do not have the permission to perform this operation\"}",
            "description": "Error payload",
            "customType": "Error",
            "schema": [
              {
                "name": "message",
                "kind": "required",
                "type": "string",
                "description": "Message describing the error",
                "example": "Not found"
              },
              {
                "name": "errors",
                "kind": "optional",
                "type": "map",
                "description": "Additional information",
                "example": "",
                "customType": "map<string, string>",
                "schema": []
              }
            ],
            "modelRef": "#/components/schemas/Error",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://api.cmp.optimizely.com/v3/assets?type=article%2Cimage%2Cvideo%2Craw_file%2Cstructured_content%2Ccompose_content&label=[%22{%5C%22group%5C%22%3A%20%5C%22ee63e3ee43925bb5cc8cd17b817d93ee%5C%22%2C%20%5C%22values%5C%22%3A%20[%5C%226706efc7828cd6aaedbc0434139cd3e1%5C%22%2C%20%5C%221f32651216cf2aefcaa08be1ea7dedf1%5C%22]}%22]&fields=[%22[{%5C%22id%5C%22%3A%20%5C%22ee63e3ee43925bb5cc8cd17b817d93ee%5C%22%2C%20%5C%22values%5C%22%3A%20[%5C%226706efc7828cd6aaedbc0434139cd3e1%5C%22%2C%20%5C%221f32651216cf2aefcaa08be1ea7dedf1%5C%22]}]%22]&include_subfolder_assets=true&offset=5&page_size=10' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.cmp.optimizely.com/v3/assets?type=article,image,video,raw_file,structured_content,compose_content&label=[\\\"{\\\\\\\"group\\\\\\\": \\\\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\\\", \\\\\\\"values\\\\\\\": [\\\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\\\", \\\\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\\\"]}\\\"]&fields=[\\\"[{\\\\\\\"id\\\\\\\": \\\\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\\\", \\\\\\\"values\\\\\\\": [\\\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\\\", \\\\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\\\"]}]\\\"]&include_subfolder_assets=true&offset=5&page_size=10\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.cmp.optimizely.com/v3/assets?type=article,image,video,raw_file,structured_content,compose_content&label=[\\\"{\\\\\"group\\\\\": \\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\", \\\\\"values\\\\\": [\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\", \\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\"]}\\\"]&fields=[\\\"[{\\\\\"id\\\\\": \\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\", \\\\\"values\\\\\": [\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\", \\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\"]}]\\\"]&include_subfolder_assets=true&offset=5&page_size=10\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.cmp.optimizely.com/v3/assets?type=article,image,video,raw_file,structured_content,compose_content&label=[\\\"{\\\\\\\"group\\\\\\\": \\\\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\\\", \\\\\\\"values\\\\\\\": [\\\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\\\", \\\\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\\\"]}\\\"]&fields=[\\\"[{\\\\\\\"id\\\\\\\": \\\\\\\"ee63e3ee43925bb5cc8cd17b817d93ee\\\\\\\", \\\\\\\"values\\\\\\\": [\\\\\\\"6706efc7828cd6aaedbc0434139cd3e1\\\\\\\", \\\\\\\"1f32651216cf2aefcaa08be1ea7dedf1\\\\\\\"]}]\\\"]&include_subfolder_assets=true&offset=5&page_size=10\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// List of fetched assets\n{\n  \"data\": [\n    {\n      \"id\": \"5d7f910551b00a722e0418830cee6631\",\n      \"title\": \"sample_image.png\",\n      \"type\": \"image\",\n      \"mime_type\": \"image/png\",\n      \"file_extension\": \"png\",\n      \"created_at\": \"2019-10-06T13:15:30Z\",\n      \"modified_at\": \"2019-10-07T13:15:30Z\",\n      \"folder_id\": \"6bb8db20a5b611ebae319b7c541b1a5a\",\n      \"file_location\": \"/all assets/important assets\",\n      \"is_archived\": false,\n      \"content\": {\n        \"type\": \"url\",\n        \"value\": \"http://images.cmp.optimizely.com/Zz0xODQ3NDU3Y2Y2YmYzOTlmNjkyOTgyZDY3Y2I3YWM2OA==S\"\n      },\n      \"labels\": [\n        {\n          \"group\": {\n            \"id\": \"2467e583a60e23fda2b89db81a453cd2\",\n            \"name\": \"Content Format\"\n          },\n          \"values\": [\n            {\n              \"id\": \"71c378f3fee3d822759d1bdc2aab628c\",\n              \"name\": \"Photos\"\n            }\n          ]\n        }\n      ],\n      \"links\": {\n        \"self\": \"https://api.cmp.optimizely.com/v3/images/5d7f910551bw0a722e0418830cee6631\"\n      },\n      \"owner_organization_id\": \"5108c3a9becac35915111191\",\n      \"thumbnail_url\": \"https://images1.cmp.optimizely.com/Pz1kYmI9Z2FkYTJtZWI5VGI1WZq4MTZkNTdmGHjM5OGRmYq==\"\n    }\n  ],\n  \"pagination\": {},\n  \"total_count\": 0\n}"
        },
        {
          "id": "response-1-400",
          "language": "400",
          "code": "// Client error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-2-401",
          "language": "401",
          "code": "// Authorization error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        },
        {
          "id": "response-3-403",
          "language": "403",
          "code": "// Permission error\n{\n  \"message\": \"Not found\",\n  \"errors\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}